tell application "iTunes"
	
	if selection is not {} then -- there ARE tracks selected...
		
		set sel to a reference to selection
		set trackCount to count sel
		if trackCount is greater than 1 or trackCount is less than 1 then
			activate
			set msg to "You selected " & trackCount & " tracks. Please select exactly one. Thanks a bunch."
			set res to display dialog msg buttons {"Sure!"}
			return
		end if
		
		set aTrack to first item in sel
		
		set tArtist to artist of aTrack
		set tName to name of aTrack
		set queryText to "lyrics \"" & tArtist & "\" \"" & tName & "\""
		set queryText to my replace_chars(queryText, "&", "%26") # see http://www.degraeve.com/reference/urlencoding.php
		
		tell application "Safari"
			activate
			#	open location "http://google.com/search?q='" & queryText & "'"
			open location "http://google.com/search?q=" & queryText & ""
		end tell
		
	end if
	
end tell


# see http://forums.macosxhints.com/archive/index.php/t-26666.html
on replace_chars(this_text, search_string, replacement_string)
	set AppleScript's text item delimiters to the search_string
	set the item_list to every text item of this_text
	set AppleScript's text item delimiters to the replacement_string
	set this_text to the item_list as string
	set AppleScript's text item delimiters to ""
	return this_text
end replace_chars
