(*
http://forums.ilounge.com/applescripts-itunes-mac/96368-setting-itunes-album-artwork-through-applescript.html
http://www.macosxautomation.com/applescript/sbrt/sbrt-09.html
*)

global artworkFilepathMacOS, artworkFilepathPOSIX

tell application "iTunes"
	set artworkFilepathMacOS to "Applications:MAMP:htdocs:skipper:images:current_artwork.jpg"
	set artworkFilepathPOSIX to POSIX path of artworkFilepathMacOS
	#	log "artworkFilepathMacOS: " & artworkFilepathMacOS
	#	log "artworkFilepathPOSIX: " & artworkFilepathPOSIX
		try
	set the_artwork to data of artwork 1 of current track
	#		log the_artwork
	my write_to_file(the_artwork, artworkFilepathMacOS, false)
	#		my write_to_file(the_artwork,((posix file artworkFilepathPOSIX) as string), false)
	#	on error (e)
		end try
end tell

on write_to_file(this_data, target_file, append_data) -- (string, file path as string, boolean)
	tell AppleScript
		# log "target_file: " & target_file
		try
			#do shell script "touch \"" & artworkFilepathPOSIX & "\""
			#do shell script "touch " & "\"/" & artworkFilepathPOSIX & "\""
			#set target_file to (target_file as text)
			set open_target_file to open for access file target_file with write permission
			if append_data is false then set eof of the open_target_file to 0
			write this_data to the open_target_file starting at eof
			close access the open_target_file
			return true
		on error (e)
			try
				close access file target_file
			end try
			return e
		end try
	end tell
end write_to_file