tell application "iTunes"
	
	if selection is not {} then -- there ARE tracks selected...
		
		set sel to a reference to selection
		set trackCount to count sel
		if trackCount is greater than 23 then
			set msg to "Are you sure, you want to do this with the selected " & trackCount & " tracks?"
			set res to display dialog msg buttons {"Sure!", "Actually, no."}
			if button returned of res is not "Sure!" then
				return
			end if
		end if
		
		set message to ""
		repeat with aTrack in sel
			
			tell aTrack
				set message to message & artist & " - " & album & " - " & name & return
			end tell
			
		end repeat
		
		set the clipboard to message
		
	--	tell application "System Events" to keystroke "v" using {command down}
		
	end if
end tell
